SOELIM(1)

NAME
soelim - interpret .so requests in manpages

SYNOPSIS
soelim [-Crtv] [-I dir] [file ...]

DESCRIPTION
The soelim utility reads the specified files or the standard input and performs the textual inclusion implied by the nroff(1) (ports/textproc/groff) directives of the form:

    .so anotherfile

If a line starts with: “.so anotherfile” it replaces the line by processing “anotherfile”. Otherwise the line is printed to stdout.

-C  Recognise .so when it is not followed by a space character.

-r  Compatibility with groff's soelim(1) (does nothing).

-t  Compatibility with groff's soelim(1) (does nothing).

-v  Compatibility with groff's soelim(1) (does nothing).

-I dir
    This option specifies directories where soelim searches for files (both those on the command line and those named in “.so” directive.) This option may be specified multiple times. The directories will be searched in the order specified.

The files are always searched first in the current directory.

A file specified with an absolute path will be opened directly without performing a search.

SEE ALSO
mandoc(1)

AUTHORS
This version of the soelim utility was written by Baptiste Daroussin <bapt@freebsd.org>.